summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorRalph Giles <ralph.giles@artifex.com>2008-07-11 21:12:03 +0000
committerRalph Giles <ralph.giles@artifex.com>2008-07-11 21:12:03 +0000
commit181e9350dc7c4992ed35efddd209690e0d62abb2 (patch)
treee269f3a4c734817d5d2358ab158d67e436b96a1e /tools
parent6b9056893a1cc64be92105c3e040d85b54f3b4fb (diff)
Sync clusterpush changes from the gs tree.
This version checks for errors on remote commands and aborts to avoid returning a stale result. git-svn-id: http://svn.ghostscript.com/ghostpcl/trunk/ghostpcl@3107 06663e23-700e-0410-b217-a244a6096597
Diffstat (limited to 'tools')
-rwxr-xr-xtools/clusterpush.sh24
1 files changed, 23 insertions, 1 deletions
diff --git a/tools/clusterpush.sh b/tools/clusterpush.sh
index 554b41046..7843f60e2 100755
--- a/tools/clusterpush.sh
+++ b/tools/clusterpush.sh
@@ -25,12 +25,17 @@ echo "Pushing to $DEST/$TARGET on the cluster..."
rsync -avz \
--exclude .svn --exclude .git \
--exclude bin --exclude obj --exclude debugobj \
+ --exclude sobin --exclude soobj \
--exclude main/obj --exclude main/debugobj \
--exclude language_switch/obj --exclude language_switch/obj \
--exclude xps/obj --exclude xps/debugobj \
--exclude svg/obj --exclude xps/debugobj \
--exclude ufst --exclude ufst-obj \
./* $HOST:$DEST/$TARGET
+if test $? != 0; then
+ echo "$0 aborted."
+ exit 1
+fi
echo -n "Copying regression baseline..."
if test -d src; then
@@ -43,13 +48,30 @@ else
fi;\
done'`
fi
-echo "from $LATEST..."
+if test -z "$LATEST"; then echo "$0 aborted."; exit 1; fi
+echo " from $LATEST..."
ssh $HOST "cp regression/$LATEST/reg_baseline.txt $DEST/$TARGET/"
+if test $? != 0; then
+ echo "$0 aborted."
+ exit 1
+fi
echo "Queuing regression test..."
echo "cd $DEST/$TARGET && run_regression" | ssh $HOST
+if test $? != 0; then
+ echo "$0 aborted."
+ exit 1
+fi
REPORT=`ssh $HOST ls $DEST/$TARGET \| egrep '^regression-[0-9]+.log$' \| sort -r \| head -1`
echo "Pulling $REPORT..."
scp -q $HOST:$DEST/$TARGET/$REPORT .
+if test $? != 0; then
+ echo "$0 aborted."
+ exit 1
+fi
cat $REPORT
+if test $? != 0; then
+ echo "$0 aborted."
+ exit 1
+fi